Bug 210632 - Review Request: fbg - Falling Block Game
Review Request: fbg - Falling Block Game
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michał Bentkowski
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-10-13 09:47 EDT by Hans de Goede
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-14 07:47:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2006-10-13 09:47:05 EDT
Spec URL: http://people.atrpms.net/~hdegoede/fbg.spec
SRPM URL: http://people.atrpms.net/~hdegoede/fbg-0.9-1.fc6.src.rpm
Description:
Move and rotate variously shaped falling blocks to make them form a complete
row. Once a complete row has formed it will disappear. If you make
incomplete rows the screen will fill up and when it reaches the top the game
is over.
Comment 1 Michał Bentkowski 2006-10-13 10:56:02 EDT
MUST items:
 * rpmlint doesn't show anything
 * package is named well
 * spec file name is good
 * package meets Packaging Guidelines
 * package is licensed with an GPL open-source compatible license
 * License field in spec file doesn't match actual license
 * license file is included in %doc
 * md5sums are matching (82db64d84b6172f5676fcff69d533881)
 * package successfully compiles on x86_64
 * BuildRequires listed well (mock builds fine)
 * no locales
 * proper %post and %postun sections
 * not relocatable
 * package owns directories well
 * no duplicates in %files
 * every %files section includes %defattr
 * proper %clean section
 * macros used well
 * .desktop file is present

THINGS to do:
 * change spec's License field to GPL

Fix thing mentioned above and package will be approved,
Comment 2 Hans de Goede 2006-10-14 02:49:06 EDT
Woops, good catch. I used a spec from a previous package for this and that
stayed in.

Here is a version with the license tag fixed:
Spec URL: http://people.atrpms.net/~hdegoede/fbg.spec
SRPM URL: http://people.atrpms.net/~hdegoede/fbg-0.9-2.fc6.src.rpm
Comment 3 Michał Bentkowski 2006-10-14 06:08:26 EDT
You haven't updated a spec file but a SRPM looks good.

So package is APPROVED.
Comment 4 Hans de Goede 2006-10-14 07:47:39 EDT
Oops, you're right I forgot to upload the spec. Thanks for looking at the SRPM.
I've imported and build the correct/updated srpm, closing.

Thanks!

Note You need to log in before you can comment on or make changes to this bug.